/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_PLAYLISTS_SYSTEM_H
#define OCARINA_CORE_PLAYLISTS_SYSTEM_H
#include <core/playlists/type.h>


enum sys_playlist_t {
	SYS_PL_FAVORITES,     /* Songs that the user likes.              */
	SYS_PL_HIDDEN,        /* Songs that the user has hidden.         */
	SYS_PL_COLLECTION,    /* Songs that have not been hidden.        */
	SYS_PL_HISTORY,       /* Songs that have just been played.       */
	SYS_PL_UNPLAYED,      /* Songs that have not been played yet.    */
	SYS_PL_MOST_PLAYED,   /* Songs with an above average play count. */
	SYS_PL_LEAST_PLAYED,  /* Songs with a below average play count.  */
	SYS_PL_NUM_PLAYLISTS, /* Number of system playlists.             */
};


/* System playlist type. */
extern struct playlist_type pl_system;


/* Called to initialize system playlists. */
void pl_system_init(struct queue_ops *);

/* Called to deinitialize system playlists. */
void pl_system_deinit();

#endif /* OCARINA_CORE_PLAYLISTS_SYSTEM_H */
